## org.apache.lucene.queryParser.standard.config
Interface FieldDateResolutionMapAttribute

All Superinterfaces:
  Attribute

All Known Implementing Classes:
  FieldDateResolutionMapAttributeImpl

Deprecated.

    @Deprecated
    public interface FieldDateResolutionMapAttribute

extends Attribute

This attribute enables the user to define a default DateResolution per field. it's used by `FieldDateResolutionFCListener.buildFieldConfig(org.apache.lucene.queryParser.core.config.FieldConfig)`

Method Summary
`Map<CharSequence,DateTools.Resolution>` `getFieldDateResolutionMap()` Deprecated.
`void` `setFieldDateResolutionMap(Map<CharSequence,DateTools.Resolution> dateRes)` Deprecated.

Method Detail

### setFieldDateResolutionMap

    void setFieldDateResolutionMap(Map<CharSequence,DateTools.Resolution> dateRes)

  Deprecated.
  Parameters:
    `dateRes` - a mapping from field name to its default boost

### getFieldDateResolutionMap

    Map<CharSequence,DateTools.Resolution> getFieldDateResolutionMap()

  Deprecated.